phatch crashed with ImportError in _gui()

Bug #449210 reported by Alex Levin on 2009-10-12
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
phatch (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: phatch

Phatch failed to run after installation.

Traceback (most recent call last):
  File "/usr/bin/phatch", line 16, in <module>
    main(config_paths, app_file = __file__)
  File "/usr/share/phatch/phatch/app.py", line 218, in main
    _gui(app_file, paths, settings)
  File "/usr/share/phatch/phatch/app.py", line 150, in _gui
    from pyWx import gui
ImportError: No module named pyWx

ProblemType: Crash
Architecture: amd64
Date: Mon Oct 12 09:23:09 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/phatch
InterpreterPath: /usr/bin/python2.6
NonfreeKernelModules: wl
Package: phatch-cli 0.2.1-4
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/phatch
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=ru_RU.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-13.44-generic
PythonArgs: ['/usr/bin/phatch']
SourcePackage: phatch
Title: phatch crashed with ImportError in _gui()
Uname: Linux 2.6.31-13-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Related branches

Alex Levin (alexlevin) wrote :

Thank you for taking the time to report this crash and helping to make Ubuntu better. This particular crash has already been reported and is a duplicate of bug #442466, so is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Please continue to report any other bugs you may find.

tags: removed: need-duplicate-check
visibility: private → public
Stani (stani) wrote :

Can you describe how you installed Phatch exactly? Was this on a fresh install of Karmic or an upgraded one? If upgraded, was Phatch already installed on Jaunty?

Can you please paste the output of:
sudo aptitude purge phatch phatch-cli phatch-doc
sudo updatedb
sudo locate phatch

Thanks,
Stani (author of Phatch)

Stani (stani) wrote :

Can someone please make the following bug public?:
https://bugs.launchpad.net/bugs/442466

Stani (stani) wrote :

Maybe I know what causes the bug. Forget the instructions in my comment #3. Can you try to do:
sudo apt-get install phatch

and try again to start phatch?

Piotr Ożarowski (piotr) wrote :

please install phatch package and try again (most probably you installed phatch-cli package only, I'll move .desktop file from phatch-cli to phatch)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package phatch - 0.2.3-2

---------------
phatch (0.2.3-2) unstable; urgency=low

  * phatch.desktop and menu files are now shipped by phatch package
    (LP: #449210)
    - add lintian overrides for above changes (phatch depends on phatch-cli so
      everything is ok)

phatch (0.2.3-1) unstable; urgency=low

  * Upstream bugfix release (Closes LP: #448845, #446725, #445943)

phatch (0.2.2-1) unstable; urgency=low

  * Upstream bugfix release (Closes LP: #236548, #436595, #437161,
   #437376, #437852, #439108, #439359, #440273, #440956)
  * debian/control: Dropped dependency python-wxgtk2.6

 -- Julien Lavergne <email address hidden> Tue, 13 Oct 2009 18:49:27 +0100

Changed in phatch (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers